🚀 Introducing Agent Gateway — governance, observability, and control for your AI agents.  Register for live webinar ↗
curl -X POST https://api.portkey.ai/v1/scim/workspaces \
-H "x-portkey-api-key: PORTKEY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"scim_group_name": "Engineering Team",
"workspace_id": "ws_my-workspace",
"role": "member"
}'{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"workspace_id": "ws-12345",
"scim_group": "Engineering Team",
"role": "member",
"scim_group_id": "d290f1ee-6c54-4b01-90e6-d701748f0851"
}Create a mapping between a SCIM group and a workspace. You can either reference an existing SCIM group by ID, or provide a group name to pre-create the SCIM group before the IdP provisions it.
curl -X POST https://api.portkey.ai/v1/scim/workspaces \
-H "x-portkey-api-key: PORTKEY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"scim_group_name": "Engineering Team",
"workspace_id": "ws_my-workspace",
"role": "member"
}'{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"workspace_id": "ws-12345",
"scim_group": "Engineering Team",
"role": "member",
"scim_group_id": "d290f1ee-6c54-4b01-90e6-d701748f0851"
}Documentation Index
Fetch the complete documentation index at: https://docs.portkey.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
ID or slug (ws_ prefix) of the workspace to map the SCIM group to.
Role assigned to group members in the workspace.
admin, member, manager ID of an existing SCIM group. Required if scim_group_name is not provided.
Display name for the SCIM group. If the group doesn't exist, it will be created. Required if scim_group_id is not provided. Must not match the pattern-based auto-provisioning format (e.g. ws-name-role-admin).
Was this page helpful?